/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __FEXIT_SLEEP_SKEL_H__
#define __FEXIT_SLEEP_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct fexit_sleep {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc nanosleep_fentry;
		struct bpf_prog_desc nanosleep_fexit;
	} progs;
	struct {
		int nanosleep_fentry_fd;
		int nanosleep_fexit_fd;
	} links;
	struct fexit_sleep__bss {
		int pid;
		int fentry_cnt;
		int fexit_cnt;
	} *bss;
};

static inline int
fexit_sleep__nanosleep_fentry__attach(struct fexit_sleep *skel)
{
	int prog_fd = skel->progs.nanosleep_fentry.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.nanosleep_fentry_fd = fd;
	return fd;
}

static inline int
fexit_sleep__nanosleep_fexit__attach(struct fexit_sleep *skel)
{
	int prog_fd = skel->progs.nanosleep_fexit.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.nanosleep_fexit_fd = fd;
	return fd;
}

static inline int
fexit_sleep__attach(struct fexit_sleep *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : fexit_sleep__nanosleep_fentry__attach(skel);
	ret = ret < 0 ? ret : fexit_sleep__nanosleep_fexit__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
fexit_sleep__detach(struct fexit_sleep *skel)
{
	skel_closenz(skel->links.nanosleep_fentry_fd);
	skel_closenz(skel->links.nanosleep_fexit_fd);
}
static void
fexit_sleep__destroy(struct fexit_sleep *skel)
{
	if (!skel)
		return;
	fexit_sleep__detach(skel);
	skel_closenz(skel->progs.nanosleep_fentry.prog_fd);
	skel_closenz(skel->progs.nanosleep_fexit.prog_fd);
	munmap(skel->bss, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	free(skel);
}
static inline struct fexit_sleep *
fexit_sleep__open(void)
{
	struct fexit_sleep *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->bss == (void *) -1)
		goto cleanup;
	memcpy(skel->bss, (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0", 12);
	skel->maps.bss.initial_value = (__u64)(long)skel->bss;
	return skel;
cleanup:
	fexit_sleep__destroy(skel);
	return NULL;
}

static inline int
fexit_sleep__load(struct fexit_sleep *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 1654;
	opts.data = (void *)"\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x18\x01\0\0\x18\x01\0\0\x1a\x02\0\0\0\0\0\0\0\
\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\
\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\
\0\0\x01\0\0\x0c\x03\0\0\0\x2d\0\0\0\x01\0\0\x0c\x03\0\0\0\x3d\0\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x09\0\0\0\x04\0\0\0\
\x42\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x56\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\
\0\x5e\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x62\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\
\0\0\x6d\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xd8\x01\0\0\x01\0\0\x0f\x04\0\0\0\
\x0a\0\0\0\0\0\0\0\x04\0\0\0\xe0\x01\0\0\x03\0\0\x0f\x0c\0\0\0\x0b\0\0\0\0\0\0\
\0\x04\0\0\0\x0c\0\0\0\x04\0\0\0\x04\0\0\0\x0d\0\0\0\x08\0\0\0\x04\0\0\0\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\
\x78\0\x69\x6e\x74\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\
\x72\x79\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x78\x69\x74\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x4c\x49\x43\x45\x4e\x53\x45\0\x70\x69\x64\0\x66\x65\x6e\x74\x72\
\x79\x5f\x63\x6e\x74\0\x66\x65\x78\x69\x74\x5f\x63\x6e\x74\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x34\x37\x37\
\x2e\x31\x30\x2e\x31\x2e\x72\x74\x37\x2e\x32\x37\x34\x2e\x65\x6c\x38\x5f\x38\
\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x34\x37\x37\x2e\x31\
\x30\x2e\x31\x2e\x72\x74\x37\x2e\x32\x37\x34\x2e\x65\x6c\x38\x5f\x38\x2e\x78\
\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x66\x65\x78\x69\x74\x5f\x73\x6c\x65\x65\x70\x2e\x63\0\x09\x69\x66\x20\
\x28\x28\x69\x6e\x74\x29\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\
\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x21\x3d\x20\x70\x69\
\x64\x29\0\x09\x66\x65\x6e\x74\x72\x79\x5f\x63\x6e\x74\x2b\x2b\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6e\x61\x6e\x6f\x73\x6c\x65\x65\
\x70\x5f\x66\x65\x6e\x74\x72\x79\x2c\x20\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\
\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x29\0\x09\
\x66\x65\x78\x69\x74\x5f\x63\x6e\x74\x2b\x2b\x3b\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x28\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x78\
\x69\x74\x2c\x20\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x70\x74\
\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x2c\x20\x69\x6e\x74\x20\x72\x65\
\x74\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x66\x65\x6e\x74\x72\
\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\
\x65\x70\0\x66\x65\x78\x69\x74\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\
\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\x03\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x0c\0\0\0\x01\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\x66\x65\x78\x69\x74\x5f\x73\x6c\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x85\0\0\0\x0e\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5e\x01\x05\0\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x61\x12\0\0\0\0\0\0\x04\x02\0\0\x01\0\0\
\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\
\0\0\0\x77\0\0\0\x10\x01\0\0\x0b\x40\0\0\x01\0\0\0\x77\0\0\0\x10\x01\0\0\x29\
\x40\0\0\x04\0\0\0\x77\0\0\0\x10\x01\0\0\x06\x40\0\0\x05\0\0\0\x77\0\0\0\x3d\
\x01\0\0\x0c\x4c\0\0\x0a\0\0\0\x77\0\0\0\x4c\x01\0\0\x05\x38\0\0\x1a\0\0\0\x0c\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x5f\x78\x36\x34\x5f\
\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x47\x50\x4c\0\x85\0\0\0\
\x0e\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5e\x01\x05\
\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x61\x12\0\0\0\0\0\0\x04\x02\0\
\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\x77\0\0\0\x10\x01\0\0\x0b\x68\0\0\x01\0\0\0\x77\0\0\0\x10\
\x01\0\0\x29\x68\0\0\x04\0\0\0\x77\0\0\0\x10\x01\0\0\x06\x68\0\0\x05\0\0\0\x77\
\0\0\0\x87\x01\0\0\x0b\x74\0\0\x0a\0\0\0\x77\0\0\0\x95\x01\0\0\x05\x60\0\0\x1a\
\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x78\x69\x74\
\0\0\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x5f\x78\
\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0";
	opts.insns_sz = 4160;
	opts.insns = (void *)"\
\xbf\x16\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x78\xfe\xff\xff\xb7\x02\0\
\0\x88\x01\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x05\0\x28\x01\0\0\0\0\
\x61\xa1\x78\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x7c\
\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x80\xfe\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x84\xfe\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x88\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\x8c\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\x90\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\x94\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x98\
\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x9c\xfe\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xa0\xfe\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xa4\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xa8\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\xac\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\xb0\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xb4\
\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xb8\xfe\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xbc\xfe\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xc0\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xc4\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\xc8\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\xcc\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xd0\
\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xd4\xfe\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xd8\xfe\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xdc\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xe0\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\xe4\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\xe8\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xec\
\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xf0\xfe\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xf4\xfe\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xf8\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xfc\xfe\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\0\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\
\xa1\x04\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x08\xff\
\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x0c\xff\0\0\0\0\xd5\
\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x10\xff\0\0\0\0\xd5\x01\x01\0\0\
\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x14\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\
\0\0\xa8\0\0\0\x61\xa1\x18\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\
\0\x61\xa1\x1c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\
\x20\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x24\xff\0\0\
\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x28\xff\0\0\0\0\xd5\x01\
\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x2c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\
\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x30\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\x34\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\x38\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x3c\
\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x40\xff\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x44\xff\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x48\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\x4c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\x50\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\x54\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x58\
\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x5c\xff\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x60\xff\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x64\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\x68\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\x6c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\x70\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x74\
\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x78\xff\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x7c\xff\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x80\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\x84\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\x88\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\x8c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x90\
\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x94\xff\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x98\xff\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x9c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xa0\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\xa4\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\xa8\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xac\
\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xb0\xff\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xb4\xff\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xb8\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xbc\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\xc0\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\xc4\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xc8\
\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xcc\xff\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xd0\xff\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xd4\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xd8\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\xdc\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\xe0\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xe4\
\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xe8\xff\0\0\0\0\
\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xec\xff\0\0\0\0\xd5\x01\x01\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\xf0\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\x61\xa1\xf4\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x61\xa1\xf8\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa1\xfc\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xbf\x70\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x62\x03\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\x5e\x03\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x52\x03\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x4a\x03\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\x12\0\
\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x4a\x03\0\0\xb7\x03\0\0\x1c\0\0\0\x85\0\0\0\
\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xc0\xfe\0\0\0\0\x63\x7a\x78\xfe\0\0\0\0\
\x61\xa0\x78\xfe\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x96\x03\0\0\x63\x01\0\0\0\
\0\0\0\x61\x60\x20\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x72\x03\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\
\0\x66\x03\0\0\xb7\x03\0\0\x40\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\
\xc5\x07\xaf\xfe\0\0\0\0\x63\x7a\x7c\xfe\0\0\0\0\x79\x63\x18\0\0\0\0\0\x15\x03\
\x04\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa6\x03\0\0\xb7\x02\0\0\x0c\0\0\0\
\x85\0\0\0\x94\0\0\0\x61\xa0\x7c\xfe\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb6\
\x03\0\0\x63\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xb2\x03\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\xbe\x03\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\xa6\x03\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xc6\x03\0\0\x7b\x01\0\0\0\0\0\0\xb7\
\x01\0\0\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xb6\x03\0\0\xb7\x03\0\0\x20\0\0\
\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x93\xfe\0\0\0\0\x18\x60\0\0\
\0\0\0\0\0\0\0\0\xd6\x03\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa2\x04\0\0\x7b\x01\0\
\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xda\x03\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x9a\x04\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x3a\x04\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xe2\x04\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\
\0\0\0\x42\x04\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xf2\x04\0\0\x7b\x01\0\0\0\0\0\0\
\xbf\xa0\0\0\0\0\0\0\x07\0\0\0\x7c\xfe\xff\xff\x18\x61\0\0\0\0\0\0\0\0\0\0\x0a\
\x05\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xaa\x04\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\xae\x04\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\xb2\x04\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xfe\0\0\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\xda\x04\0\0\x63\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x12\
\x05\0\0\xb7\x02\0\0\x14\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\
\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x62\xfe\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\x92\x04\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\x70\0\
\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x92\x04\0\0\xb7\x03\
\0\0\x80\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\
\0\0\x02\x05\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\xc5\x07\x50\xfe\0\0\0\0\x63\x7a\x7c\xff\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\x26\x05\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xf2\x05\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x2a\x05\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\xea\x05\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x8a\x05\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\x32\x06\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\
\0\0\0\x92\x05\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x42\x06\0\0\x7b\x01\0\0\0\0\0\0\
\xbf\xa0\0\0\0\0\0\0\x07\0\0\0\x7c\xfe\xff\xff\x18\x61\0\0\0\0\0\0\0\0\0\0\x5a\
\x06\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xfa\x05\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\xfe\x05\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x02\x06\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xfe\0\0\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x2a\x06\0\0\x63\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x62\
\x06\0\0\xb7\x02\0\0\x14\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\
\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x1e\xfe\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\xe2\x05\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\x70\0\
\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xe2\x05\0\0\xb7\x03\
\0\0\x80\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\
\0\0\x52\x06\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\
\x85\0\0\0\xa8\0\0\0\xc5\x07\x0c\xfe\0\0\0\0\x63\x7a\x80\xff\0\0\0\0\x61\xa1\
\x78\xfe\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x61\xa0\x7c\xff\0\0\0\0\x63\x06\x28\0\0\0\0\0\x61\xa0\x80\xff\0\0\0\0\x63\x06\
\x2c\0\0\0\0\0\x61\xa0\x7c\xfe\0\0\0\0\x63\x06\x18\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss =
		mmap(skel->bss, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.bss.map_fd, 0);
	return 0;
}

static inline struct fexit_sleep *
fexit_sleep__open_and_load(void)
{
	struct fexit_sleep *skel;

	skel = fexit_sleep__open();
	if (!skel)
		return NULL;
	if (fexit_sleep__load(skel)) {
		fexit_sleep__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __FEXIT_SLEEP_SKEL_H__ */
