/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SOCKMAP_LISTEN_SKEL_H__
#define __TEST_SOCKMAP_LISTEN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_sockmap_listen {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sock_map;
		struct bpf_map *sock_hash;
		struct bpf_map *verdict_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *prog_stream_parser;
		struct bpf_program *prog_stream_verdict;
		struct bpf_program *prog_skb_verdict;
		struct bpf_program *prog_msg_verdict;
		struct bpf_program *prog_reuseport;
	} progs;
	struct {
		struct bpf_link *prog_stream_parser;
		struct bpf_link *prog_stream_verdict;
		struct bpf_link *prog_skb_verdict;
		struct bpf_link *prog_msg_verdict;
		struct bpf_link *prog_reuseport;
	} links;
	struct test_sockmap_listen__bss {
		_Bool test_sockmap;
		_Bool test_ingress;
	} *bss;
};

static void
test_sockmap_listen__destroy(struct test_sockmap_listen *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_listen__create_skeleton(struct test_sockmap_listen *obj);

static inline struct test_sockmap_listen *
test_sockmap_listen__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_listen *obj;
	int err;

	obj = (struct test_sockmap_listen *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sockmap_listen__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sockmap_listen__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sockmap_listen *
test_sockmap_listen__open(void)
{
	return test_sockmap_listen__open_opts(NULL);
}

static inline int
test_sockmap_listen__load(struct test_sockmap_listen *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_listen *
test_sockmap_listen__open_and_load(void)
{
	struct test_sockmap_listen *obj;
	int err;

	obj = test_sockmap_listen__open();
	if (!obj)
		return NULL;
	err = test_sockmap_listen__load(obj);
	if (err) {
		test_sockmap_listen__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_listen__attach(struct test_sockmap_listen *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_listen__detach(struct test_sockmap_listen *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_sockmap_listen__create_skeleton(struct test_sockmap_listen *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_sockmap_listen";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "sock_map";
	s->maps[0].map = &obj->maps.sock_map;

	s->maps[1].name = "sock_hash";
	s->maps[1].map = &obj->maps.sock_hash;

	s->maps[2].name = "verdict_map";
	s->maps[2].map = &obj->maps.verdict_map;

	s->maps[3].name = "test_soc.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "prog_stream_parser";
	s->progs[0].prog = &obj->progs.prog_stream_parser;
	s->progs[0].link = &obj->links.prog_stream_parser;

	s->progs[1].name = "prog_stream_verdict";
	s->progs[1].prog = &obj->progs.prog_stream_verdict;
	s->progs[1].link = &obj->links.prog_stream_verdict;

	s->progs[2].name = "prog_skb_verdict";
	s->progs[2].prog = &obj->progs.prog_skb_verdict;
	s->progs[2].link = &obj->links.prog_skb_verdict;

	s->progs[3].name = "prog_msg_verdict";
	s->progs[3].prog = &obj->progs.prog_msg_verdict;
	s->progs[3].link = &obj->links.prog_msg_verdict;

	s->progs[4].name = "prog_reuseport";
	s->progs[4].prog = &obj->progs.prog_reuseport;
	s->progs[4].link = &obj->links.prog_reuseport;

	s->data_sz = 8408;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x1c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x12\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6b\
\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\x73\
\x6b\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\
\x74\0\x73\x6b\x5f\x73\x6b\x62\x2f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\
\0\x73\x6b\x5f\x6d\x73\x67\0\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\
\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x76\x65\x72\x73\x69\x6f\x6e\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x6c\
\x69\x73\x74\x65\x6e\x2e\x63\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x31\x5f\
\x33\0\x4c\x42\x42\x31\x5f\x35\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x32\x5f\
\x33\0\x4c\x42\x42\x32\x5f\x35\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x33\x5f\
\x33\0\x4c\x42\x42\x33\x5f\x35\0\x4c\x42\x42\x34\x5f\x32\0\x4c\x42\x42\x34\x5f\
\x34\0\x4c\x42\x42\x34\x5f\x36\0\x70\x72\x6f\x67\x5f\x73\x74\x72\x65\x61\x6d\
\x5f\x70\x61\x72\x73\x65\x72\0\x70\x72\x6f\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\
\x76\x65\x72\x64\x69\x63\x74\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\
\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\0\x76\
\x65\x72\x64\x69\x63\x74\x5f\x6d\x61\x70\0\x70\x72\x6f\x67\x5f\x73\x6b\x62\x5f\
\x76\x65\x72\x64\x69\x63\x74\0\x74\x65\x73\x74\x5f\x69\x6e\x67\x72\x65\x73\x73\
\0\x70\x72\x6f\x67\x5f\x6d\x73\x67\x5f\x76\x65\x72\x64\x69\x63\x74\0\x70\x72\
\x6f\x67\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\x5f\x76\x65\x72\x73\x69\x6f\
\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6b\x5f\x73\x6b\
\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\x2e\x72\x65\
\x6c\x73\x6b\x5f\x73\x6b\x62\x2f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\0\
\x2e\x72\x65\x6c\x73\x6b\x5f\x6d\x73\x67\0\x2e\x72\x65\x6c\x73\x6b\x5f\x72\x65\
\x75\x73\x65\x70\x6f\x72\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\0\0\
\x04\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9b\0\0\0\0\0\x04\0\x90\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa2\0\0\0\0\0\x04\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\0\0\x05\0\x70\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\x05\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\0\0\0\0\0\x05\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xbe\0\0\0\0\0\x06\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc5\0\0\0\0\0\x06\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\0\0\x06\0\xe0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xd3\0\0\0\0\0\x07\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xda\0\0\0\0\0\x07\0\
\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe1\0\0\0\0\0\x07\0\xe8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xfb\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x0f\x01\0\0\x11\0\x08\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x1c\x01\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x25\x01\0\0\x11\0\x09\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x2f\x01\0\0\
\x11\0\x09\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x3b\x01\0\0\x12\0\x05\0\0\0\0\
\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x4c\x01\0\0\x11\0\x08\0\x01\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x59\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x6a\x01\0\
\0\x12\0\x07\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x79\x01\0\0\x11\0\x0a\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x82\x01\0\0\x11\0\x0b\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x63\x2a\xfc\
\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x15\x02\
\x06\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\
\0\0\0\0\0\0\x85\0\0\0\x34\0\0\0\x05\0\x06\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\
\x03\0\0\xfc\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\
\0\x85\0\0\0\x48\0\0\0\x63\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\
\x03\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x10\0\0\0\0\0\0\
\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x63\x2a\xfc\xff\
\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x24\0\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x15\x02\x05\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x34\0\0\0\x05\0\x05\0\0\0\
\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xfc\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\x48\0\0\0\x63\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\x15\0\x03\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x10\0\0\0\
\0\0\0\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x63\x2a\
\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x15\
\x02\x06\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\
\x04\0\0\0\0\0\0\x85\0\0\0\x3c\0\0\0\x05\0\x06\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\
\x07\x03\0\0\xfc\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\
\0\0\0\x85\0\0\0\x47\0\0\0\x63\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\
\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\x15\0\x03\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x10\0\0\0\0\
\0\0\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x71\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\x03\x02\0\0\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x63\x3a\xf8\xff\0\
\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xb7\x04\0\0\0\0\0\0\x85\
\0\0\0\x52\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\xb7\x01\0\0\x01\0\0\0\
\x15\0\x01\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\
\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\
\x10\0\0\0\0\0\0\x61\xa0\xfc\xff\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x47\x50\x4c\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\
\x30\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\
\xa8\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\
\x28\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\
\x80\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\
\x10\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\
\x70\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\x30\0\
\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\x78\x07\0\0\x78\x07\0\0\xa9\x06\0\0\0\0\0\0\0\0\0\x02\
\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x0f\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\0\0\0\x08\x0c\0\0\0\
\x32\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\
\0\x01\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x07\0\0\0\x80\0\0\
\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x60\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x12\0\0\0\
\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x0f\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\
\x40\0\0\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x69\0\0\
\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\
\x09\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x05\0\0\0\0\0\0\0\x4a\0\0\0\
\x05\0\0\0\x40\0\0\0\x56\0\0\0\x13\0\0\0\x80\0\0\0\x5a\0\0\0\x14\0\0\0\xc0\0\0\
\0\x73\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\x7f\0\0\
\0\x20\0\0\x04\xb8\0\0\0\x89\0\0\0\x08\0\0\0\0\0\0\0\x8d\0\0\0\x08\0\0\0\x20\0\
\0\0\x96\0\0\0\x08\0\0\0\x40\0\0\0\x9b\0\0\0\x08\0\0\0\x60\0\0\0\xa9\0\0\0\x08\
\0\0\0\x80\0\0\0\xb2\0\0\0\x08\0\0\0\xa0\0\0\0\xbf\0\0\0\x08\0\0\0\xc0\0\0\0\
\xc8\0\0\0\x08\0\0\0\xe0\0\0\0\xd3\0\0\0\x08\0\0\0\0\x01\0\0\xdc\0\0\0\x08\0\0\
\0\x20\x01\0\0\xec\0\0\0\x08\0\0\0\x40\x01\0\0\xf4\0\0\0\x08\0\0\0\x60\x01\0\0\
\xfd\0\0\0\x19\0\0\0\x80\x01\0\0\0\x01\0\0\x08\0\0\0\x20\x02\0\0\x05\x01\0\0\
\x08\0\0\0\x40\x02\0\0\x10\x01\0\0\x08\0\0\0\x60\x02\0\0\x15\x01\0\0\x08\0\0\0\
\x80\x02\0\0\x1e\x01\0\0\x08\0\0\0\xa0\x02\0\0\x26\x01\0\0\x08\0\0\0\xc0\x02\0\
\0\x2d\x01\0\0\x08\0\0\0\xe0\x02\0\0\x38\x01\0\0\x08\0\0\0\0\x03\0\0\x42\x01\0\
\0\x1a\0\0\0\x20\x03\0\0\x4d\x01\0\0\x1a\0\0\0\xa0\x03\0\0\x57\x01\0\0\x08\0\0\
\0\x20\x04\0\0\x63\x01\0\0\x08\0\0\0\x40\x04\0\0\x6e\x01\0\0\x08\0\0\0\x60\x04\
\0\0\0\0\0\0\x1b\0\0\0\x80\x04\0\0\x78\x01\0\0\x0b\0\0\0\xc0\x04\0\0\x7f\x01\0\
\0\x08\0\0\0\0\x05\0\0\x88\x01\0\0\x08\0\0\0\x20\x05\0\0\0\0\0\0\x1d\0\0\0\x40\
\x05\0\0\x91\x01\0\0\x08\0\0\0\x80\x05\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\
\x04\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x04\0\0\0\x04\0\0\0\0\
\0\0\0\x01\0\0\x05\x08\0\0\0\x9a\x01\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x37\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xa4\x01\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x28\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xa7\x01\0\0\x17\0\0\0\xab\
\x01\0\0\x01\0\0\x0c\x1f\0\0\0\xbe\x01\0\0\x01\0\0\x0c\x1f\0\0\0\xd2\x01\0\0\
\x01\0\0\x0c\x1f\0\0\0\0\0\0\0\0\0\0\x02\x24\0\0\0\xe3\x01\0\0\x0b\0\0\x04\x50\
\0\0\0\0\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x40\0\0\0\x26\x01\0\0\x08\0\
\0\0\x80\0\0\0\x2d\x01\0\0\x08\0\0\0\xa0\0\0\0\x38\x01\0\0\x08\0\0\0\xc0\0\0\0\
\x42\x01\0\0\x1a\0\0\0\xe0\0\0\0\x4d\x01\0\0\x1a\0\0\0\x60\x01\0\0\x57\x01\0\0\
\x08\0\0\0\xe0\x01\0\0\x63\x01\0\0\x08\0\0\0\0\x02\0\0\xed\x01\0\0\x08\0\0\0\
\x20\x02\0\0\0\0\0\0\x1d\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x10\
\x01\0\0\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\
\0\0\x15\x01\0\0\x26\0\0\0\0\0\0\0\xf2\x01\0\0\x0e\0\0\x04\x50\0\0\0\xfb\x01\0\
\0\x08\0\0\0\0\0\0\0\x26\x01\0\0\x08\0\0\0\x20\0\0\0\x45\0\0\0\x08\0\0\0\x40\0\
\0\0\xa9\0\0\0\x08\0\0\0\x60\0\0\0\x96\0\0\0\x08\0\0\0\x80\0\0\0\xd3\0\0\0\x08\
\0\0\0\xa0\0\0\0\x08\x02\0\0\x08\0\0\0\xc0\0\0\0\x10\x02\0\0\x1a\0\0\0\xe0\0\0\
\0\x18\x02\0\0\x08\0\0\0\x60\x01\0\0\x21\x02\0\0\x08\0\0\0\x80\x01\0\0\x2a\x02\
\0\0\x08\0\0\0\xa0\x01\0\0\x32\x02\0\0\x1a\0\0\0\xc0\x01\0\0\x3a\x02\0\0\x08\0\
\0\0\x40\x02\0\0\x40\x02\0\0\x29\0\0\0\x60\x02\0\0\x51\x02\0\0\0\0\0\x08\x02\0\
\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x57\x02\0\0\x23\0\0\0\x5b\x02\0\0\x01\0\0\
\x0c\x2a\0\0\0\0\0\0\0\0\0\0\x02\x2d\0\0\0\x6c\x02\0\0\x08\0\0\x04\x30\0\0\0\0\
\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x40\0\0\0\x89\0\0\0\x08\0\0\0\x80\0\
\0\0\x7c\x02\0\0\x08\0\0\0\xa0\0\0\0\x89\x02\0\0\x08\0\0\0\xc0\0\0\0\x95\x02\0\
\0\x08\0\0\0\xe0\0\0\0\0\x01\0\0\x08\0\0\0\0\x01\0\0\0\0\0\0\x1d\0\0\0\x40\x01\
\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xa0\x02\0\0\x2c\0\0\0\xa6\x02\0\0\x01\0\0\
\x0c\x2e\0\0\0\xb5\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\xbb\x02\0\0\0\0\0\
\x0e\x30\0\0\0\x01\0\0\0\xc8\x02\0\0\0\0\0\x0e\x30\0\0\0\x01\0\0\0\xd5\x02\0\0\
\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xde\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x34\0\0\0\x04\0\0\0\x04\0\0\0\xe3\x02\0\0\0\0\0\x0e\x35\
\0\0\0\x01\0\0\0\xec\x02\0\0\0\0\0\x07\0\0\0\0\x3c\x06\0\0\x02\0\0\x0f\x02\0\0\
\0\x31\0\0\0\0\0\0\0\x01\0\0\0\x32\0\0\0\x01\0\0\0\x01\0\0\0\x41\x06\0\0\x03\0\
\0\x0f\x60\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\x12\0\0\0\x20\0\0\0\x20\0\0\0\x16\
\0\0\0\x40\0\0\0\x20\0\0\0\x47\x06\0\0\x01\0\0\x0f\x04\0\0\0\x33\0\0\0\0\0\0\0\
\x04\0\0\0\x4f\x06\0\0\x01\0\0\x0f\x04\0\0\0\x36\0\0\0\0\0\0\0\x04\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x6f\x63\x6b\x5f\x6d\x61\
\x70\0\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\0\x76\x65\x72\x64\x69\x63\x74\x5f\
\x6d\x61\x70\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\
\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\
\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\
\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\
\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\
\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\
\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\
\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\
\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\
\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\
\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x73\x6b\x62\0\
\x70\x72\x6f\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\x70\
\x72\x6f\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\x70\
\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\0\x73\x6b\x5f\x6d\
\x73\x67\x5f\x6d\x64\0\x73\x69\x7a\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\
\x6f\x75\x6e\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x73\x72\x63\x5f\x69\x70\x34\0\
\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\x74\
\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\x70\
\x36\0\x73\x74\x61\x74\x65\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\
\x70\x69\x6e\x67\0\x5f\x5f\x73\x33\x32\0\x6d\x73\x67\0\x70\x72\x6f\x67\x5f\x6d\
\x73\x67\x5f\x76\x65\x72\x64\x69\x63\x74\0\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\
\x6f\x72\x74\x5f\x6d\x64\0\x65\x74\x68\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\
\x69\x70\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x62\x69\x6e\x64\x5f\x69\x6e\x61\
\x6e\x79\0\x72\x65\x75\x73\x65\0\x70\x72\x6f\x67\x5f\x72\x65\x75\x73\x65\x70\
\x6f\x72\x74\0\x5f\x42\x6f\x6f\x6c\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\
\x61\x70\0\x74\x65\x73\x74\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x5f\x76\x65\x72\
\x73\x69\x6f\x6e\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\
\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x34\x37\x37\x2e\x31\x30\x2e\
\x31\x2e\x72\x74\x37\x2e\x32\x37\x34\x2e\x65\x6c\x38\x5f\x38\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x34\x37\x37\x2e\x31\x30\x2e\x31\x2e\
\x72\x74\x37\x2e\x32\x37\x34\x2e\x65\x6c\x38\x5f\x38\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x6c\x69\x73\x74\x65\x6e\x2e\x63\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x69\x6e\
\x74\x20\x70\x72\x6f\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\
\x63\x74\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\
\x20\x2a\x73\x6b\x62\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x7a\x65\x72\x6f\x20\x3d\
\x20\x30\x3b\0\x09\x69\x66\x20\x28\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\
\x70\x29\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\
\x6b\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x73\x6b\x62\x2c\
\x20\x26\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x7a\x65\x72\x6f\x2c\x20\x30\
\x29\x3b\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\
\x6b\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x68\x61\x73\x68\x28\x73\x6b\x62\
\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\x2c\x20\x26\x7a\x65\x72\x6f\
\x2c\x20\x30\x29\x3b\0\x09\x63\x6f\x75\x6e\x74\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x76\x65\x72\
\x64\x69\x63\x74\x5f\x6d\x61\x70\x2c\x20\x26\x76\x65\x72\x64\x69\x63\x74\x29\
\x3b\0\x09\x69\x66\x20\x28\x63\x6f\x75\x6e\x74\x29\0\x09\x09\x28\x2a\x63\x6f\
\x75\x6e\x74\x29\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x76\x65\x72\x64\
\x69\x63\x74\x3b\0\x69\x6e\x74\x20\x70\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x76\x65\
\x72\x64\x69\x63\x74\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\x20\
\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\
\x61\x70\x28\x73\x6b\x62\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\x20\
\x7a\x65\x72\x6f\x2c\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\x20\x3d\x20\x62\x70\
\x66\x5f\x73\x6b\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x68\x61\x73\x68\x28\
\x73\x6b\x62\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\x2c\x20\x26\x7a\
\x65\x72\x6f\x2c\0\x69\x6e\x74\x20\x70\x72\x6f\x67\x5f\x6d\x73\x67\x5f\x76\x65\
\x72\x64\x69\x63\x74\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6b\x5f\x6d\x73\x67\
\x5f\x6d\x64\x20\x2a\x6d\x73\x67\x29\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\x20\
\x3d\x20\x62\x70\x66\x5f\x6d\x73\x67\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\
\x6d\x61\x70\x28\x6d\x73\x67\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\
\x20\x7a\x65\x72\x6f\x2c\x20\x30\x29\x3b\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x73\x67\x5f\x72\x65\x64\x69\x72\x65\x63\x74\
\x5f\x68\x61\x73\x68\x28\x6d\x73\x67\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x68\x61\
\x73\x68\x2c\x20\x26\x7a\x65\x72\x6f\x2c\x20\x30\x29\x3b\0\x09\x76\x65\x72\x64\
\x69\x63\x74\x20\x3d\x20\x65\x72\x72\x20\x3f\x20\x53\x4b\x5f\x44\x52\x4f\x50\
\x20\x3a\x20\x53\x4b\x5f\x50\x41\x53\x53\x3b\0\x2e\x62\x73\x73\0\x2e\x6d\x61\
\x70\x73\0\x76\x65\x72\x73\x69\x6f\x6e\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6b\
\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\x73\
\x6b\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\
\x74\0\x73\x6b\x5f\x73\x6b\x62\x2f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\
\0\x73\x6b\x5f\x6d\x73\x67\0\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\
\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\x3c\x03\0\0\
\x90\x03\0\0\0\0\0\0\x08\0\0\0\x57\x06\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x6c\x06\
\0\0\x01\0\0\0\0\0\0\0\x21\0\0\0\x82\x06\0\0\x01\0\0\0\0\0\0\0\x22\0\0\0\x95\
\x06\0\0\x01\0\0\0\0\0\0\0\x2b\0\0\0\x9c\x06\0\0\x01\0\0\0\0\0\0\0\x2f\0\0\0\
\x10\0\0\0\x57\x06\0\0\x01\0\0\0\0\0\0\0\xfa\x02\0\0\x9b\x03\0\0\x02\x94\0\0\
\x6c\x06\0\0\x0c\0\0\0\0\0\0\0\xfa\x02\0\0\xad\x03\0\0\0\xa4\0\0\x08\0\0\0\xfa\
\x02\0\0\xdc\x03\0\0\x08\xb0\0\0\x10\0\0\0\xfa\x02\0\0\xed\x03\0\0\x06\xbc\0\0\
\x28\0\0\0\xfa\x02\0\0\xed\x03\0\0\x06\xbc\0\0\x30\0\0\0\xfa\x02\0\0\0\x04\0\0\
\x0d\xc0\0\0\x68\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\xfa\x02\0\0\x3a\
\x04\0\0\x0d\xc8\0\0\x90\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\xfa\x02\0\
\0\x77\x04\0\0\x0a\xd0\0\0\xc0\0\0\0\xfa\x02\0\0\xad\x04\0\0\x06\xd4\0\0\xc8\0\
\0\0\xfa\x02\0\0\xb9\x04\0\0\x0b\xd8\0\0\xe0\0\0\0\xfa\x02\0\0\xc7\x04\0\0\x02\
\xe0\0\0\x82\x06\0\0\x0d\0\0\0\0\0\0\0\xfa\x02\0\0\xd8\x04\0\0\0\xf0\0\0\x08\0\
\0\0\xfa\x02\0\0\xdc\x03\0\0\x08\xfc\0\0\x10\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\
\x28\0\0\0\xfa\x02\0\0\xed\x03\0\0\x06\x08\x01\0\x40\0\0\0\xfa\x02\0\0\xed\x03\
\0\0\x06\x08\x01\0\x48\0\0\0\xfa\x02\0\0\x04\x05\0\0\x0d\x0c\x01\0\x78\0\0\0\
\xfa\x02\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\xfa\x02\0\0\x3a\x05\0\0\x0d\x18\x01\0\
\x98\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\xfa\x02\0\0\x77\x04\0\0\x0a\
\x24\x01\0\xc8\0\0\0\xfa\x02\0\0\xad\x04\0\0\x06\x28\x01\0\xd0\0\0\0\xfa\x02\0\
\0\xb9\x04\0\0\x0b\x2c\x01\0\xe8\0\0\0\xfa\x02\0\0\xc7\x04\0\0\x02\x34\x01\0\
\x95\x06\0\0\x0c\0\0\0\0\0\0\0\xfa\x02\0\0\x73\x05\0\0\0\x44\x01\0\x08\0\0\0\
\xfa\x02\0\0\xdc\x03\0\0\x08\x50\x01\0\x10\0\0\0\xfa\x02\0\0\xed\x03\0\0\x06\
\x5c\x01\0\x28\0\0\0\xfa\x02\0\0\xed\x03\0\0\x06\x5c\x01\0\x30\0\0\0\xfa\x02\0\
\0\x9f\x05\0\0\x0d\x60\x01\0\x68\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\
\xfa\x02\0\0\xda\x05\0\0\x0d\x68\x01\0\x90\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\
\xa8\0\0\0\xfa\x02\0\0\x77\x04\0\0\x0a\x70\x01\0\xc0\0\0\0\xfa\x02\0\0\xad\x04\
\0\0\x06\x74\x01\0\xc8\0\0\0\xfa\x02\0\0\xb9\x04\0\0\x0b\x78\x01\0\xe0\0\0\0\
\xfa\x02\0\0\xc7\x04\0\0\x02\x80\x01\0\x9c\x06\0\0\x0b\0\0\0\0\0\0\0\xfa\x02\0\
\0\xed\x03\0\0\x06\xa8\x01\0\x48\0\0\0\xfa\x02\0\0\xdc\x03\0\0\x08\xa0\x01\0\
\x58\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\
\x70\0\0\0\xfa\x02\0\0\x18\x06\0\0\x0c\xb8\x01\0\x98\0\0\0\xfa\x02\0\0\x18\x06\
\0\0\x0a\xb8\x01\0\xa8\0\0\0\xfa\x02\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\xfa\x02\0\0\
\x77\x04\0\0\x0a\xc0\x01\0\xc8\0\0\0\xfa\x02\0\0\xad\x04\0\0\x06\xc4\x01\0\xd0\
\0\0\0\xfa\x02\0\0\xb9\x04\0\0\x0b\xc8\x01\0\xe8\0\0\0\xfa\x02\0\0\xc7\x04\0\0\
\x02\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe6\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x10\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x20\x05\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x06\0\0\
\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x4f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x07\0\0\0\0\0\0\xf0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x07\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x08\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x08\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf0\x08\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x76\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\x09\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\
\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x09\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa5\x01\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x09\0\0\0\0\0\0\x50\0\0\0\0\
\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbc\x01\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc7\x01\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0a\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\
\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd8\x01\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0a\0\0\0\0\0\0\x39\x0e\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdd\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa8\x18\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_SOCKMAP_LISTEN_SKEL_H__ */
