/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_TRACE_EXT_TRACING_SKEL_H__
#define __TEST_TRACE_EXT_TRACING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_trace_ext_tracing {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry;
		struct bpf_program *fexit;
	} progs;
	struct {
		struct bpf_link *fentry;
		struct bpf_link *fexit;
	} links;
	struct test_trace_ext_tracing__bss {
		__u64 fentry_called;
		__u64 fexit_called;
	} *bss;
};

static void
test_trace_ext_tracing__destroy(struct test_trace_ext_tracing *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_trace_ext_tracing__create_skeleton(struct test_trace_ext_tracing *obj);

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_trace_ext_tracing *obj;
	int err;

	obj = (struct test_trace_ext_tracing *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_trace_ext_tracing__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_trace_ext_tracing__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open(void)
{
	return test_trace_ext_tracing__open_opts(NULL);
}

static inline int
test_trace_ext_tracing__load(struct test_trace_ext_tracing *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open_and_load(void)
{
	struct test_trace_ext_tracing *obj;
	int err;

	obj = test_trace_ext_tracing__open();
	if (!obj)
		return NULL;
	err = test_trace_ext_tracing__load(obj);
	if (err) {
		test_trace_ext_tracing__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_trace_ext_tracing__attach(struct test_trace_ext_tracing *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_trace_ext_tracing__detach(struct test_trace_ext_tracing *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_trace_ext_tracing__create_skeleton(struct test_trace_ext_tracing *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_trace_ext_tracing";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_tra.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "fentry";
	s->progs[0].prog = &obj->progs.fentry;
	s->progs[0].link = &obj->links.fentry;

	s->progs[1].name = "fexit";
	s->progs[1].prog = &obj->progs.fexit;
	s->progs[1].link = &obj->links.fexit;

	s->data_sz = 5944;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\
\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\
\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\x62\
\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x74\x72\x61\x63\
\x65\x5f\x65\x78\x74\x5f\x74\x72\x61\x63\x69\x6e\x67\x2e\x63\0\x66\x65\x6e\x74\
\x72\x79\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\x6c\x65\x64\0\x66\x65\x78\
\x69\x74\0\x66\x65\x78\x69\x74\x5f\x63\x61\x6c\x6c\x65\x64\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\
\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\
\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\
\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x59\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x72\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x79\0\0\0\x11\
\0\x05\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x87\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\
\0\x38\0\0\0\0\0\0\0\x8d\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x9a\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\
\x61\x11\x80\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x61\x11\x80\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x10\
\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x64\x09\0\0\
\x64\x09\0\0\x42\x07\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\
\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x23\0\0\0\x52\0\0\
\x84\0\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\xc0\0\0\0\0\0\0\0\
\x13\0\0\0\0\x01\0\0\x2b\0\0\0\x1b\0\0\0\x40\x01\0\0\0\0\0\0\x1d\0\0\0\xc0\x02\
\0\0\x2e\0\0\0\x21\0\0\0\x40\x03\0\0\x31\0\0\0\x0c\0\0\0\x80\x03\0\0\x37\0\0\0\
\x22\0\0\0\xc0\x03\0\0\x41\0\0\0\x23\0\0\0\0\x04\0\0\x45\0\0\0\x23\0\0\0\x20\
\x04\0\0\x4e\0\0\0\x24\0\0\0\x40\x04\0\0\x56\0\0\0\x24\0\0\0\x50\x04\0\0\x5e\0\
\0\0\x24\0\0\0\x60\x04\0\0\x6c\0\0\0\x28\0\0\0\x70\x04\0\0\x7c\0\0\0\x26\0\0\0\
\x70\x04\0\x01\x83\0\0\0\x26\0\0\0\x71\x04\0\x01\x89\0\0\0\x26\0\0\0\x72\x04\0\
\x02\x90\0\0\0\x26\0\0\0\x74\x04\0\x01\x97\0\0\0\x26\0\0\0\x75\x04\0\x01\xa1\0\
\0\0\x26\0\0\0\x76\x04\0\x01\xb7\0\0\0\x26\0\0\0\x77\x04\0\x01\xc2\0\0\0\x26\0\
\0\0\x78\x04\0\0\xd4\0\0\0\x2a\0\0\0\x80\x04\0\0\xe2\0\0\0\x28\0\0\0\x80\x04\0\
\0\xf4\0\0\0\x26\0\0\0\x80\x04\0\x03\xfd\0\0\0\x26\0\0\0\x83\x04\0\x01\x07\x01\
\0\0\x26\0\0\0\x84\x04\0\x01\x10\x01\0\0\x26\0\0\0\x85\x04\0\x02\x1a\x01\0\0\
\x26\0\0\0\x87\x04\0\x01\x23\x01\0\0\x26\0\0\0\x88\x04\0\x01\x2b\x01\0\0\x26\0\
\0\0\x89\x04\0\x01\x33\x01\0\0\x26\0\0\0\x8a\x04\0\x01\x44\x01\0\0\x26\0\0\0\
\x8b\x04\0\x01\x4f\x01\0\0\x26\0\0\0\x8c\x04\0\x01\x56\x01\0\0\x26\0\0\0\x8d\
\x04\0\x01\x64\x01\0\0\x26\0\0\0\x8e\x04\0\x01\x73\x01\0\0\x26\0\0\0\x8f\x04\0\
\x01\x7e\x01\0\0\x26\0\0\0\x90\x04\0\x01\x8f\x01\0\0\x26\0\0\0\x91\x04\0\x02\
\x9a\x01\0\0\x26\0\0\0\x93\x04\0\x01\xa8\x01\0\0\x26\0\0\0\x94\x04\0\x01\xbc\
\x01\0\0\x26\0\0\0\x95\x04\0\x02\xcb\x01\0\0\x26\0\0\0\x97\x04\0\x01\xd9\x01\0\
\0\x26\0\0\0\x98\x04\0\x01\xed\x01\0\0\x26\0\0\0\x99\x04\0\x01\xfd\x01\0\0\x26\
\0\0\0\x9a\x04\0\x01\x0e\x02\0\0\x26\0\0\0\x9b\x04\0\x01\x22\x02\0\0\x26\0\0\0\
\x9c\x04\0\x01\x33\x02\0\0\x26\0\0\0\x9d\x04\0\x01\x41\x02\0\0\x26\0\0\0\x9e\
\x04\0\x01\x4c\x02\0\0\x26\0\0\0\x9f\x04\0\x01\x59\x02\0\0\x24\0\0\0\xa0\x04\0\
\0\x62\x02\0\0\x26\0\0\0\xb0\x04\0\x01\x6c\x02\0\0\x26\0\0\0\xb1\x04\0\x01\0\0\
\0\0\x2b\0\0\0\xc0\x04\0\0\x75\x02\0\0\x29\0\0\0\xe0\x04\0\0\x7e\x02\0\0\x04\0\
\0\0\0\x05\0\0\x86\x02\0\0\x29\0\0\0\x20\x05\0\0\x8b\x02\0\0\x2e\0\0\0\x40\x05\
\0\0\x96\x02\0\0\x24\0\0\0\x50\x05\0\0\0\0\0\0\x2f\0\0\0\x60\x05\0\0\x9f\x02\0\
\0\x29\0\0\0\x80\x05\0\0\0\0\0\0\x30\0\0\0\xa0\x05\0\0\0\0\0\0\x31\0\0\0\xc0\
\x05\0\0\xa7\x02\0\0\x24\0\0\0\xd0\x05\0\0\xbe\x02\0\0\x24\0\0\0\xe0\x05\0\0\
\xd3\x02\0\0\x24\0\0\0\xf0\x05\0\0\xe4\x02\0\0\x2e\0\0\0\0\x06\0\0\xed\x02\0\0\
\x24\0\0\0\x10\x06\0\0\xfe\x02\0\0\x24\0\0\0\x20\x06\0\0\x0d\x03\0\0\x24\0\0\0\
\x30\x06\0\0\x18\x03\0\0\x32\0\0\0\x40\x06\0\0\x2a\x03\0\0\x2a\0\0\0\x40\x06\0\
\0\x36\x03\0\0\x33\0\0\0\x40\x06\0\0\x42\x03\0\0\x32\0\0\0\xc0\x06\0\0\x52\x03\
\0\0\x34\0\0\0\xc0\x06\0\0\x57\x03\0\0\x34\0\0\0\xe0\x06\0\0\x5b\x03\0\0\x35\0\
\0\0\0\x07\0\0\x60\x03\0\0\x35\0\0\0\x40\x07\0\0\x65\x03\0\0\x23\0\0\0\x80\x07\
\0\0\x6e\x03\0\0\x36\0\0\0\xa0\x07\0\0\x74\x03\0\0\x3a\0\0\0\xc0\x07\0\0\0\0\0\
\0\x03\0\0\x05\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x7f\x03\0\0\x0d\0\0\0\0\0\0\
\0\x86\x03\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x8b\x03\0\0\x09\
\0\0\0\0\0\0\0\x90\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x80\0\0\0\0\0\
\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x95\x03\0\0\x0b\0\0\0\0\
\0\0\0\x99\x03\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x40\0\0\0\xa5\x03\0\0\0\
\0\0\x01\x08\0\0\0\x40\0\0\0\xb3\x03\0\0\x03\0\0\x04\x18\0\0\0\xbb\x03\0\0\x0c\
\0\0\0\0\0\0\0\xcd\x03\0\0\x0e\0\0\0\x40\0\0\0\xd6\x03\0\0\x0e\0\0\0\x80\0\0\0\
\0\0\0\0\0\0\0\x02\x0d\0\0\0\xde\x03\0\0\x02\0\0\x04\x10\0\0\0\x8b\x03\0\0\x10\
\0\0\0\0\0\0\0\x90\x03\0\0\x10\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\0\0\
\0\0\x02\0\0\x05\x08\0\0\0\xe8\x03\0\0\x12\0\0\0\0\0\0\0\xeb\x03\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x41\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\xfc\x03\0\0\
\x14\0\0\0\0\0\0\0\x03\x04\0\0\x18\0\0\0\0\0\0\0\x11\x04\0\0\0\0\0\x08\x15\0\0\
\0\x19\x04\0\0\0\0\0\x08\x16\0\0\0\x1d\x04\0\0\0\0\0\x08\x17\0\0\0\x23\x04\0\0\
\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x2d\x04\0\0\0\0\0\x08\x19\0\0\0\x31\x04\0\0\0\
\0\0\x08\x02\0\0\0\x37\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x1a\0\0\0\x1c\0\0\0\x30\0\0\0\x3c\x04\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x50\x04\0\0\x0f\
\0\0\0\0\0\0\0\x63\x04\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x6d\
\x04\0\0\x0c\0\0\0\0\0\0\0\x79\x04\0\0\x1f\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\
\x20\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\x02\x42\
\0\0\0\0\0\0\0\0\0\0\x02\x43\0\0\0\x84\x04\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\x91\x04\0\0\0\0\0\x08\x25\0\0\0\x97\x04\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xa6\
\x04\0\0\0\0\0\x08\x27\0\0\0\xab\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x26\0\0\0\x1c\0\0\0\0\0\0\0\xb9\x04\0\0\0\0\0\x08\x23\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x29\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\
\0\0\0\xbf\x04\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\xc4\x04\0\0\0\0\
\0\x08\x29\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\xcb\x04\0\0\x24\0\0\0\0\0\0\0\
\xd6\x04\0\0\x24\0\0\0\x10\0\0\0\xe2\x04\0\0\0\0\0\x08\x24\0\0\0\0\0\0\0\x02\0\
\0\x05\x04\0\0\0\xe9\x04\0\0\x23\0\0\0\0\0\0\0\xf1\x04\0\0\x23\0\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\x05\x04\0\0\0\xfc\x04\0\0\x29\0\0\0\0\0\0\0\x01\x05\0\0\x29\0\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x02\0\0\0\x13\x05\0\0\x2e\0\0\0\0\0\0\0\x22\x05\
\0\0\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1a\0\0\0\x1c\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x1a\0\0\0\x1c\0\0\0\x10\0\0\0\x30\x05\0\0\0\0\0\x08\
\x23\0\0\0\0\0\0\0\0\0\0\x02\x27\0\0\0\x3f\x05\0\0\0\0\0\x08\x37\0\0\0\x4a\x05\
\0\0\x01\0\0\x04\x04\0\0\0\x5a\x05\0\0\x38\0\0\0\0\0\0\0\x5f\x05\0\0\0\0\0\x08\
\x39\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x68\x05\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x44\0\0\0\x70\x05\0\0\x01\0\0\x0c\x03\0\0\0\x76\x05\0\0\0\0\0\x0e\
\x19\0\0\0\x01\0\0\0\x84\x05\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x1a\0\0\0\x1c\0\0\0\x04\0\0\0\x91\x05\0\0\0\0\0\x0e\x3e\0\0\0\x01\
\0\0\0\x9a\x05\0\0\0\0\0\x07\0\0\0\0\xa5\x05\0\0\0\0\0\x07\0\0\0\0\xaa\x05\0\0\
\0\0\0\x07\0\0\0\0\xb3\x05\0\0\0\0\0\x07\0\0\0\0\xc2\x05\0\0\0\0\0\x07\0\0\0\0\
\xfa\x06\0\0\x02\0\0\x0f\x10\0\0\0\x3c\0\0\0\0\0\0\0\x08\0\0\0\x3d\0\0\0\x08\0\
\0\0\x08\0\0\0\xff\x06\0\0\x01\0\0\x0f\x04\0\0\0\x3f\0\0\0\0\0\0\0\x04\0\0\0\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\
\x74\x78\0\x69\x6e\x74\0\x66\x65\x6e\x74\x72\x79\0\x73\x6b\x5f\x62\x75\x66\x66\
\0\x63\x62\0\x73\x70\0\x5f\x6e\x66\x63\x74\0\x6e\x66\x5f\x62\x72\x69\x64\x67\
\x65\0\x6c\x65\x6e\0\x64\x61\x74\x61\x5f\x6c\x65\x6e\0\x6d\x61\x63\x5f\x6c\x65\
\x6e\0\x68\x64\x72\x5f\x6c\x65\x6e\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\
\x69\x6e\x67\0\x5f\x5f\x63\x6c\x6f\x6e\x65\x64\x5f\x6f\x66\x66\x73\x65\x74\0\
\x63\x6c\x6f\x6e\x65\x64\0\x6e\x6f\x68\x64\x72\0\x66\x63\x6c\x6f\x6e\x65\0\x70\
\x65\x65\x6b\x65\x64\0\x68\x65\x61\x64\x5f\x66\x72\x61\x67\0\x72\x68\x5f\x72\
\x65\x73\x65\x72\x76\x65\x64\x5f\x78\x6d\x69\x74\x5f\x6d\x6f\x72\x65\0\x70\x66\
\x6d\x65\x6d\x61\x6c\x6c\x6f\x63\0\x61\x63\x74\x69\x76\x65\x5f\x65\x78\x74\x65\
\x6e\x73\x69\x6f\x6e\x73\0\x68\x65\x61\x64\x65\x72\x73\x5f\x73\x74\x61\x72\x74\
\0\x5f\x5f\x70\x6b\x74\x5f\x74\x79\x70\x65\x5f\x6f\x66\x66\x73\x65\x74\0\x70\
\x6b\x74\x5f\x74\x79\x70\x65\0\x69\x67\x6e\x6f\x72\x65\x5f\x64\x66\0\x6e\x66\
\x5f\x74\x72\x61\x63\x65\0\x69\x70\x5f\x73\x75\x6d\x6d\x65\x64\0\x6f\x6f\x6f\
\x5f\x6f\x6b\x61\x79\0\x6c\x34\x5f\x68\x61\x73\x68\0\x73\x77\x5f\x68\x61\x73\
\x68\0\x77\x69\x66\x69\x5f\x61\x63\x6b\x65\x64\x5f\x76\x61\x6c\x69\x64\0\x77\
\x69\x66\x69\x5f\x61\x63\x6b\x65\x64\0\x6e\x6f\x5f\x66\x63\x73\0\x65\x6e\x63\
\x61\x70\x73\x75\x6c\x61\x74\x69\x6f\x6e\0\x65\x6e\x63\x61\x70\x5f\x68\x64\x72\
\x5f\x63\x73\x75\x6d\0\x63\x73\x75\x6d\x5f\x76\x61\x6c\x69\x64\0\x63\x73\x75\
\x6d\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\x5f\x73\x77\0\x63\x73\x75\x6d\x5f\x6c\
\x65\x76\x65\x6c\0\x63\x73\x75\x6d\x5f\x6e\x6f\x74\x5f\x69\x6e\x65\x74\0\x64\
\x73\x74\x5f\x70\x65\x6e\x64\x69\x6e\x67\x5f\x63\x6f\x6e\x66\x69\x72\x6d\0\x6e\
\x64\x69\x73\x63\x5f\x6e\x6f\x64\x65\x74\x79\x70\x65\0\x69\x70\x76\x73\x5f\x70\
\x72\x6f\x70\x65\x72\x74\x79\0\x69\x6e\x6e\x65\x72\x5f\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\x5f\x74\x79\x70\x65\0\x72\x65\x6d\x63\x73\x75\x6d\x5f\x6f\x66\x66\x6c\
\x6f\x61\x64\0\x6f\x66\x66\x6c\x6f\x61\x64\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\
\0\x6f\x66\x66\x6c\x6f\x61\x64\x5f\x6c\x33\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\
\0\x74\x63\x5f\x73\x6b\x69\x70\x5f\x63\x6c\x61\x73\x73\x69\x66\x79\0\x74\x63\
\x5f\x61\x74\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x72\x65\x64\x69\x72\x65\x63\x74\
\x65\x64\0\x66\x72\x6f\x6d\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x74\x63\x5f\x69\
\x6e\x64\x65\x78\0\x64\x65\x63\x72\x79\x70\x74\x65\x64\0\x73\x6c\x6f\x77\x5f\
\x67\x72\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x73\x6b\x62\x5f\x69\x69\x66\0\
\x68\x61\x73\x68\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x76\x6c\x61\x6e\
\x5f\x74\x63\x69\0\x73\x65\x63\x6d\x61\x72\x6b\0\x69\x6e\x6e\x65\x72\x5f\x74\
\x72\x61\x6e\x73\x70\x6f\x72\x74\x5f\x68\x65\x61\x64\x65\x72\0\x69\x6e\x6e\x65\
\x72\x5f\x6e\x65\x74\x77\x6f\x72\x6b\x5f\x68\x65\x61\x64\x65\x72\0\x69\x6e\x6e\
\x65\x72\x5f\x6d\x61\x63\x5f\x68\x65\x61\x64\x65\x72\0\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\0\x74\x72\x61\x6e\x73\x70\x6f\x72\x74\x5f\x68\x65\x61\x64\x65\x72\0\
\x6e\x65\x74\x77\x6f\x72\x6b\x5f\x68\x65\x61\x64\x65\x72\0\x6d\x61\x63\x5f\x68\
\x65\x61\x64\x65\x72\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x5f\x73\x74\
\x61\x72\x74\0\x68\x65\x61\x64\x65\x72\x73\x5f\x65\x6e\x64\0\x72\x68\x5f\x72\
\x65\x73\x65\x72\x76\x65\x64\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x5f\
\x65\x6e\x64\0\x74\x61\x69\x6c\0\x65\x6e\x64\0\x68\x65\x61\x64\0\x64\x61\x74\
\x61\0\x74\x72\x75\x65\x73\x69\x7a\x65\0\x75\x73\x65\x72\x73\0\x65\x78\x74\x65\
\x6e\x73\x69\x6f\x6e\x73\0\x72\x62\x6e\x6f\x64\x65\0\x6c\x69\x73\x74\0\x6e\x65\
\x78\x74\0\x70\x72\x65\x76\0\x64\x65\x76\0\x64\x65\x76\x5f\x73\x63\x72\x61\x74\
\x63\x68\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x72\x62\x5f\
\x6e\x6f\x64\x65\0\x5f\x5f\x72\x62\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\
\x6f\x72\0\x72\x62\x5f\x72\x69\x67\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x6c\
\x69\x73\x74\x5f\x68\x65\x61\x64\0\x73\x6b\0\x69\x70\x5f\x64\x65\x66\x72\x61\
\x67\x5f\x6f\x66\x66\x73\x65\x74\0\x74\x73\x74\x61\x6d\x70\0\x73\x6b\x62\x5f\
\x6d\x73\x74\x61\x6d\x70\x5f\x6e\x73\0\x6b\x74\x69\x6d\x65\x5f\x74\0\x73\x36\
\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x36\x34\
\0\x5f\x5f\x75\x36\x34\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x63\x70\x5f\x74\x73\x6f\x72\x74\
\x65\x64\x5f\x61\x6e\x63\x68\x6f\x72\0\x5f\x73\x6b\x5f\x72\x65\x64\x69\x72\0\
\x5f\x73\x6b\x62\x5f\x72\x65\x66\x64\x73\x74\0\x64\x65\x73\x74\x72\x75\x63\x74\
\x6f\x72\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x31\
\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x5f\x5f\x75\
\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x33\
\x32\0\x63\x73\x75\x6d\0\x5f\x5f\x77\x73\x75\x6d\0\x63\x73\x75\x6d\x5f\x73\x74\
\x61\x72\x74\0\x63\x73\x75\x6d\x5f\x6f\x66\x66\x73\x65\x74\0\x5f\x5f\x62\x65\
\x31\x36\0\x6e\x61\x70\x69\x5f\x69\x64\0\x73\x65\x6e\x64\x65\x72\x5f\x63\x70\
\x75\0\x6d\x61\x72\x6b\0\x72\x65\x73\x65\x72\x76\x65\x64\x5f\x74\x61\x69\x6c\
\x72\x6f\x6f\x6d\0\x69\x6e\x6e\x65\x72\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\
\x69\x6e\x6e\x65\x72\x5f\x69\x70\x70\x72\x6f\x74\x6f\0\x73\x6b\x5f\x62\x75\x66\
\x66\x5f\x64\x61\x74\x61\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\
\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\
\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x66\x65\x78\
\x69\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\x6c\x65\x64\0\x66\x65\x78\
\x69\x74\x5f\x63\x61\x6c\x6c\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\
\x65\x74\x5f\x64\x65\x76\x69\x63\x65\0\x73\x6f\x63\x6b\0\x73\x65\x63\x5f\x70\
\x61\x74\x68\0\x6e\x66\x5f\x62\x72\x69\x64\x67\x65\x5f\x69\x6e\x66\x6f\0\x73\
\x6b\x62\x5f\x65\x78\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x34\x37\x37\x2e\x31\x30\x2e\x31\x2e\x72\x74\x37\
\x2e\x32\x37\x34\x2e\x65\x6c\x38\x5f\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x34\x37\x37\x2e\x31\x30\x2e\x31\x2e\x72\x74\x37\x2e\x32\
\x37\x34\x2e\x65\x6c\x38\x5f\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x74\x72\
\x61\x63\x65\x5f\x65\x78\x74\x5f\x74\x72\x61\x63\x69\x6e\x67\x2e\x63\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x2c\x20\
\x73\x74\x72\x75\x63\x74\x20\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\
\x29\0\x09\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x73\
\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x66\x65\x78\x69\x74\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6b\x5f\
\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x66\x65\x78\x69\x74\x5f\x63\x61\
\x6c\x6c\x65\x64\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x30\x3a\x38\
\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\x6e\x74\x72\x79\x2f\
\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\
\x6e\x65\x77\0\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\
\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\0\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x24\0\0\0\x24\0\0\0\x94\0\0\0\xb8\0\0\0\x34\0\0\0\x08\0\0\0\x07\x07\0\
\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x25\x07\0\0\x01\0\0\0\0\0\0\0\x3b\0\0\0\x10\0\0\
\0\x07\x07\0\0\x04\0\0\0\0\0\0\0\xca\x05\0\0\x6e\x06\0\0\x05\x28\0\0\x08\0\0\0\
\xca\x05\0\0\x98\x06\0\0\x17\x30\0\0\x10\0\0\0\xca\x05\0\0\x98\x06\0\0\x10\x30\
\0\0\x28\0\0\0\xca\x05\0\0\x6e\x06\0\0\x05\x28\0\0\x25\x07\0\0\x04\0\0\0\0\0\0\
\0\xca\x05\0\0\xb3\x06\0\0\x05\x4c\0\0\x08\0\0\0\xca\x05\0\0\xdc\x06\0\0\x16\
\x54\0\0\x10\0\0\0\xca\x05\0\0\xdc\x06\0\0\x0f\x54\0\0\x28\0\0\0\xca\x05\0\0\
\xb3\x06\0\0\x05\x4c\0\0\x10\0\0\0\x07\x07\0\0\x01\0\0\0\x08\0\0\0\x06\0\0\0\
\xf6\x06\0\0\0\0\0\0\x25\x07\0\0\x01\0\0\0\x08\0\0\0\x06\0\0\0\xf6\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf4\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x48\x02\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4c\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc5\0\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe6\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\xbe\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x68\x13\0\0\0\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_TRACE_EXT_TRACING_SKEL_H__ */
